[SOLUCIONADO] Build-essential (Problema de dependencias)

Imagen de AndresAvo
0 puntos

Bueno, antes que nada este post esta relacionado con uno que hice en la parte de internet de el foro, sobre un error con el modem Huawei.
La cosa es la siguiente:
-------------------- En ubuntu no tengo internet (por lo que no puedo usar apt-get o install, o update, o synaptic) para descargar cosas. Lo que hago es descargarlas de Windows y pasarlas a Ubuntu.
-------------------- Pasa que quiero instalar el paquete build-essential para lograr hacer andar mi modem, pero cuando descargo el paquete, pide unas dependencias. A su vez esta dependencias piden otras dependencias, las cuales tambien consegui. (menos un paquete llamado Patch =S )
-------------------- El error que ocurre en las dependencias es que, para instalar el paquete g++ me pide el
g++-4.2 y este me pide libstdc++6-4.2.
Cuando quiero instalar el paquete libstdc me dice que nesecita la dependencia g++-4.2.

Y cuando quiero instalar el g++4.2 me dice que nesecita la dependencia libstdc++6-4.2.

Obviamente no puedo instalar ninguna de las dos ya que ambas se nesecitan una a otras, y a causa de esto no puedo instalar el paquete build-essential.

Otra cosa, es que una de las dependencias me pide el paquete "patch" como dependencia propia. El cuál no puedo econtrar en la red.

Bueno, me encantaria que me solucionen este tema, y el prox post hacerlo desde Ubuntu =)

Espero respuestas, gracias desde ya.

Imagen de Saulot
+1
0
-1

Build-essentials viene en el disco de instalación de Ubuntu. Basta con que lo metas y desde Synaptic le des instalar y listo.

+1
0
-1
Imagen de lauchacba
+1
0
-1

hola, resulta que ubuntu 8.04 no ACTIVA el cd por defecto.

anda a
sistema- administración - orígenes del software

te pide el password
y en la ventana marcas al cd de instalación, debe figurar en el cuadro de abajo como:

"cd rom con ubuntu 8.04 "

el cuadro de al lado debe tener una tilde. por defecto queda en blanco cuando se instala.
cerras y te dira que han cambiado los repositorios y que hay que actualizar, actualizas, daran error algunas cosas, pero tomara al cd y sus paquetes.

una ves que actualices, cerras y volves a ejecutar el script.

me llama la atención el ver la carpeta en la imagen siendo que en teoría debiera estar en el /home/ como rp-pppoe-3.8, si ya tenes la carpeta en el home como /home/rp-pppoe-3.8 podes saltear dichos pasos y solo te quedaría:
instalar build-essential?
si
dependencias?
si
firmarw? no, ya lo tendrias
descomprimir rl rp-pppp? si ya esta en el home no hace falta...
editar el rc.local? si ya lo hiciste no hace falta
ejecutar y ver el pinguino?
si
esa es tu pregunta y debieras verlo.

me parece que no viste el video 1 parte 1.
pd: http://ar.geocities.com/novatocba/doc/frame/modem-7-04.htm
saludos.


ubuntu sin internet-offline

http://ar.geocities.com/novatocba

http://www.ubuntu-es.org/index.php?q=Preguntas_Frecuentes

+1
0
-1

ubuntu sin internet-offline

http://novatocba.netii.net/

http://www.ubuntu-es.org/index.php?q=Preguntas_Frecuentes

de nuevo en linea... y con ubuntu..

Imagen de AndresAvo
+1
0
-1

http://img253.imageshack.us/my.php?image=ubuntutm5.png
(Resolución 800x640)

Bueno, solucioné el problema de el Build-essential.
Lo instalé desde mi pc, bajando las dependencias por windows, pasandolas a ubuntu e instalando.
Completé la intalacion de el prog para la conexión a internet, pero, ahora mas allá de que marque como conectado a internet, las pag. no andan.
Puede ser un error de configuración? a alquien ya le pasó esto?

Muchas gracias.

+1
0
-1
Imagen de lauchacba
+1
0
-1

te paso los enlaces de donde esta la respuesta:

lo lei en:

aquí

pero la fuente es de:

http://www.nopalitux.com/index.php?option=com_content&task=view&id=53&It...

te dejo los dos por que el segundo creo que es un blog y el primero carga más rapido.


ubuntu sin internet-offline

http://ar.geocities.com/novatocba

http://www.ubuntu-es.org/index.php?q=Preguntas_Frecuentes

+1
0
-1

ubuntu sin internet-offline

http://novatocba.netii.net/

http://www.ubuntu-es.org/index.php?q=Preguntas_Frecuentes

de nuevo en linea... y con ubuntu..

Imagen de caos1224
+1
0
-1

k tal muchachos , soy nuevo en ubuntu , bueno muy nuevo, e intento poner mi tarjeta rtl8185 en modo monitor , e instalado unos driver llmados net8185 (queda destacar que son de windows) que funcionan muy bien en y me conecto a internet , pero cuando intento hacer que me reconosca desde la consola para ponerla en modo monitor me envia el siguiente error.
root@administrador-desktop:/home/administrador# iwconfig wlan0 mode monitor
Error for wireless request "Set Mode" (8B06) :
SET failed on device wlan0 ; Invalid argument.
segun lei por ahi son lo driver, pero cuando intento instalar unos que baje para entorno linux, no los puedo instalar por que me pide las dependencias , y realmente ni idea como descargarlas e instalarla, si alguin me puede dar un pequeño tutorial , de esto porfavor....

+1
0
-1

Caos